Summary: Tools needed to create Texinfo format documentation files.
Name: texinfo
Version: 4.6
Release: 3tr
License: GPL
Group: Trustix Official
Source0: ftp://ftp.gnu.org/pub/gnu/texinfo/texinfo-%{version}.tar.bz2
Patch1: texinfo-3.12h-fix.patch
# Not used
Patch3: texinfo-4.1-zlib.patch
Prereq: htmlinfo
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: zlib-devel, libtermcap-devel

# Redifine this to "dir" in the info directory isn't compressed
%define __spec_install_post /usr/lib/rpm/brp-strip \; /usr/lib/rpm/brp-strip-comment-note \; rm -f


%description
Texinfo is a documentation system that can produce both online
information and printed output from a single source file.  Normally,
you'd have to write two separate documents: one for online help or
other online information and the other for a typeset manual or other
printed work.  Using Texinfo, you only need to write one source
document.  Then when the work needs revision, you only have to revise
one source document.  The GNU Project uses the Texinfo file format for
most of its documentation.

Install texinfo if you want a documentation system for producing both
online and print documentation from the same source file and/or if you
are going to write documentation for the GNU Project.

%prep
%setup -q
%patch1 -p1


%build
%configure
make 
rm -f util/install-info ||:
make -C util LIBS=%{_libdir}/libz.a
cd doc
../makeinfo/makeinfo --html --no-split texinfo.txi

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{usr/share/html/texinfo}

%makeinstall

install -m755 -d $RPM_BUILD_ROOT/usr/share/html/texinfo/
install -m644 doc/texinfo.html $RPM_BUILD_ROOT/usr/share/html/texinfo/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/htmlinfo_update.sh

%postun
/usr/sbin/htmlinfo_update.sh

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL INTRODUCTION NEWS README TODO
%doc info/README
%{_prefix}/share/html/texinfo
%{_bindir}/makeinfo
%{_bindir}/texindex
%{_bindir}/texi2dvi
%{_mandir}/man1/makeinfo.1*
%{_mandir}/man1/texindex.1*
%{_mandir}/man1/texi2dvi.1*
%{_mandir}/man5/texinfo.5*

%changelog
* Fri Dec  5 2003 Erlend Midttun <erlendbm at trustix dot org> 4.6-1tr
- New upstream.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 4.2-5tr
- Big rebuild

* Fri Jun 13 2003 Erlend Midttun <erlendbm at trustix dot com> 4.2-4em
- Now even own /usr/share/html/textinfo
- Removed the rest of info including something under /usr/share/html/info-stnd

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 4.2-3em
- Rebuilt against glibc 2.3.2.

* Fri Oct 25 2002 Christian H. Toldnes <christht at trustix dot com> 4.2-2ct
- New uses the new htmlinfo setup.
- removed the info package.

* Sun Oct 20 2002 Goetz Bock <bock at trustix dot org> 4.2-1bg
- tried to learn from redhat, why it did not compile, but redhat's SPEC
  does net tell me
- libtermcap-devel is needed to build

* Tue Oct 15 2002 Goetz Bock <bock at trustix dot org>
- new upstream: 4.2, but does not compile

* Tue Jul 17 2001 Erlend Midttun <erlendbm at trustix dot com>
- Inc serial number before release.

* Mon Feb 28 2000 Lars Gaarden <larsg at trustix dot com>
- wrong symlink to /etc/info-dir

* Mon Feb 28 2000 Lars Gaarden <larsg at trustix dot com>
- info now prereqs gzip

* Fri Feb 25 2000 Lars Gaarden <larsg at trustix dot com>
- removed /etc/X11/wmconfig/info

* Mon Jan 24 2000 Tore Olsen <toreo at trustix dot com>
- upgraded to 4.0
- moved /usr/man and /usr/info to /usr/share for FHS compliance.

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- import version 3.12h into 6.1 tree from HJLu

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Mar 17 1999 Erik Troan <ewt@redhat.com>
- hacked to use zlib to get rid of the requirement on gzip

* Wed Mar 17 1999 Matt Wilson <msw@redhat.com>
- install-info prerequires gzip

* Thu Mar 11 1999 Cristian Gafton <gafton@redhat.com>
- version 3.12f
- make /usr/info/dir to be a %config(noreplace)
* Wed Nov 25 1998 Jeff Johnson <jbj@redhat.com>
- rebuild to fix docdir perms.

* Thu Sep 24 1998 Cristian Gafton <gafton@redhat.com>
- fix allocation problems in install-info

* Wed Sep 23 1998 Jeff Johnson <jbj@redhat.com>
- /sbin/install-info should not depend on /usr/lib/libz.so.1 -- statically
  link with /usr/lib/libz.a.

* Fri Aug 07 1998 Erik Troan <ewt@redhat.com>
- added a prereq of bash to the info package -- see the comment for a
  description of why that was done

* Tue Jun 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Tue Jun  9 1998 Jeff Johnson <jbj@redhat.com>
- add %attr to permit non-root build.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun Apr 12 1998 Cristian Gafton <gafton@redhat.com>
- added %clean
- manhattan build

* Wed Mar 04 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to version 3.12
- added buildroot

* Sun Nov 09 1997 Donnie Barnes <djb@redhat.com>
- moved /usr/info/dir to /etc/info-dir and made /usr/info/dir a
  symlink to /etc/info-dir.

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry for info

* Wed Oct 01 1997 Donnie Barnes <djb@redhat.com>
- stripped /sbin/install-info

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- added info-dir to filelist

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- added patch from sopwith to let install-info understand gzip'ed info files
- use skeletal dir file from texinfo tarball (w/ bash entry to reduce
  dependency chain) instead (and install-info command everywhere else)
- patches install-info to handle .gz names correctly

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Feb 25 1997 Erik Troan <ewt@redhat.com>
- patched install-info.c for glibc.
- added /usr/bin/install-info to the filelist

* Tue Feb 18 1997 Michael Fulbright <msf@redhat.com>
- upgraded to version 3.9.
